#
# Conditional build:
%bcond_with	tests	# "make check" run (some pylint false positive?)

Summary:	A utility for viewing problems that have occurred with the system
Summary(pl.UTF-8):	Narzędzie do przeglądania problemów, które wystąpiły w systemie
Name:		gnome-abrt
Version:	1.2.5
Release:	4
License:	GPL v2+
Group:		Applications/System
Source0:	https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.gz
# Source0-md5:	e3ab0e2c43bb6b28f29eced47cca8d67
Patch0:		%{name}-pylint.patch
URL:		https://github.com/abrt/abrt/wiki/ABRT-Project
BuildRequires:	abrt-gui-devel >= 2.1.7
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libreport-gtk-devel >= 2.0.20
BuildRequires:	libtool
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	pylint}
BuildRequires:	python3-devel >= 1:3.4
%{?with_tests:BuildRequires:	python3-libreport}
BuildRequires:	python3-pygobject3-devel >= 3.0
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	gtk-update-icon-cache
Requires:	abrt-dbus
Requires:	abrt-gui-libs >= 2.1.7
Requires:	hicolor-icon-theme
Requires:	python3-dbus
Requires:	python3-libreport
Requires:	python3-pygobject3 >= 3.0
Requires:	python3-pyinotify
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNOME application allows users to browse through detected problems
and provides them with convenient way for managing these problems.

%description -l pl.UTF-8
Aplikacja GNOME pozwalająca użytkownikom przeglądać wykryte problemy i
zapewniająca wygodny sposób zarządzania tymi problemami.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's#-pedantic##g' configure.ac
%{__sed} -i -e '1s,#!/usr/bin/env python,#!/usr/bin/python,' src/gnome-abrt

%{__sed} -n -e '/^%%changelog/,$' gnome-abrt.spec.in | tail -n +2 > changelog

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_tests:--with-nopylint}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/gnome_abrt/wrappers/*.la
%py_postclean

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/gnome-abrt/README.md

%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md changelog
%attr(755,root,root) %{_bindir}/gnome-abrt
%dir %{py3_sitedir}/gnome_abrt
%{py3_sitedir}/gnome_abrt/*.py
%{py3_sitedir}/gnome_abrt/__pycache__
%dir %{py3_sitedir}/gnome_abrt/url
%{py3_sitedir}/gnome_abrt/url/*.py
%{py3_sitedir}/gnome_abrt/url/__pycache__
%dir %{py3_sitedir}/gnome_abrt/wrappers
%{py3_sitedir}/gnome_abrt/wrappers/__init__.py
%{py3_sitedir}/gnome_abrt/wrappers/__pycache__
%attr(755,root,root) %{py3_sitedir}/gnome_abrt/wrappers/_wrappers.so
%{_datadir}/gnome-abrt
%{_datadir}/appdata/gnome-abrt.appdata.xml
%{_desktopdir}/gnome-abrt.desktop
%{_iconsdir}/hicolor/*x*/apps/gnome-abrt.png
%{_iconsdir}/hicolor/*x*/status/gnome-abrt.png
%{_iconsdir}/hicolor/symbolic/apps/gnome-abrt-symbolic.svg
%{_mandir}/man1/gnome-abrt.1*
%changelog
* Fri Jul 06 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-abrt.git;a=log;h=master

* Fri Jul 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 70d7565
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 30c4be2
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 00b5779
- python 3.6
- release 2 (by relup.sh)

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 20f36f8
- updated to 1.2.5

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> a920823
- updated to 1.2.4

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 70e220e
- updated to 1.2.3

* Thu Jan 28 2016 Jakub Bogusz <qboosh@pld-linux.org> ac866be
- updated to 1.2.1
- removed obsolete python patch

* Fri Sep 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> da95b34
- rel 3; fix python 3.5 build

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a6608d
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat Jun 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 2313138
- updated to 1.2.0

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 44e1f91
- updated to 1.1.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b2c3a5d
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> a773868
- libffi rebuild
- release 2 (by relup.sh)

* Tue Oct 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 06aa941
- updated to 1.0.0

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 8f018d1
- updated to 0.3.7

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 10e5ae7
- updated to 0.3.6

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> cc18d1b
- updated to 0.3.5

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 0a23a34
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1406554
- release 3 (by relup.sh)

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> f4c1c4a
- update URL

